Package it.ernytech.tdlib

## Class TdApi.ForwardMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ForwardMessages

Enclosing class:
  TdApi

    public static class TdApi.ForwardMessages
    extends TdApi.Function

Forwards previously sent messages. Returns the forwarded messages in the same order as the message identifiers passed in messageIds. If a message can't be forwarded, null will be returned instead of the message.

Returns `Messages`

### Field Summary

Fields
`boolean` `asAlbum` True, if the messages should be grouped into an album after forwarding.
`long` `chatId` Identifier of the chat to which to forward messages.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableNotification` Pass true to disable notification for the message, doesn't work if messages are forwarded to a secret chat.
`boolean` `fromBackground` Pass true if the message is sent from the background.
`long` `fromChatId` Identifier of the chat from which to forward messages.
`long[]` `messageIds` Identifiers of the messages to forward.

### Constructor Summary

Constructors
`ForwardMessages()` Default constructor.
`ForwardMessages​(long chatId, long fromChatId, long[] messageIds, boolean disableNotification, boolean fromBackground, boolean asAlbum)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat to which to forward messages.

#### fromChatId

    public long fromChatId

Identifier of the chat from which to forward messages.

#### messageIds

    public long[] messageIds

Identifiers of the messages to forward.

#### disableNotification

    public boolean disableNotification

Pass true to disable notification for the message, doesn't work if messages are forwarded to a secret chat.

#### fromBackground

    public boolean fromBackground

Pass true if the message is sent from the background.

#### asAlbum

    public boolean asAlbum

True, if the messages should be grouped into an album after forwarding. For this to work, no more than 10 messages may be forwarded, and all of them must be photo or video messages.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ForwardMessages

    public ForwardMessages()

Default constructor.

#### ForwardMessages

    public ForwardMessages​(long chatId,
                           long fromChatId,
                           long[] messageIds,
                           boolean disableNotification,
                           boolean fromBackground,
                           boolean asAlbum)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat to which to forward messages.
  `fromChatId` - Identifier of the chat from which to forward messages.
  `messageIds` - Identifiers of the messages to forward.
  `disableNotification` - Pass true to disable notification for the message, doesn't work if messages are forwarded to a secret chat.
  `fromBackground` - Pass true if the message is sent from the background.
  `asAlbum` - True, if the messages should be grouped into an album after forwarding. For this to work, no more than 10 messages may be forwarded, and all of them must be photo or video messages.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR